## org.apache.batik.dom.svg
Class AbstractSVGPointList

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGList
          org.apache.batik.dom.svg.AbstractSVGPointList

All Implemented Interfaces:
  SVGPointList

Direct Known Subclasses:
  SVGOMAnimatedPoints.SVGOMPointList

public abstract class AbstractSVGPointList
extends AbstractSVGList
implements SVGPointList

This class is the implementation of `SVGPointList`.

Nested Class Summary
`protected class` `AbstractSVGPointList.PointsListBuilder` Helper class to interface the `PointsParser` and the `ListHandler`
`protected class` `AbstractSVGPointList.SVGPointItem` Representation of the item SVGPoint.

Nested classes inherited from class org.apache.batik.dom.svg.AbstractSVGList
`AbstractSVGList.ListBuilder`

Field Summary
`static java.lang.String` `SVG_POINT_LIST_SEPARATOR` Separator for a point list.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGList
`itemList, valid`

Constructor Summary
`protected` `AbstractSVGPointList()` Creates a new SVGPointList.

Method Summary
`SVGPoint` `appendItem(SVGPoint newItem)`
`protected void` `checkItemType(java.lang.Object newItem)` Check if the item is an SVGPoint.
`protected abstract SVGException` `createSVGException(short type, java.lang.String key, java.lang.Object[] args)` Create an SVGException when the checkItemType fails.
`protected SVGItem` `createSVGItem(java.lang.Object newItem)` Return the item to be placed in the list.
`protected void` `doParse(java.lang.String value, ListHandler handler)` Parse the 'points' attribute.
`SVGPoint` `getItem(int index)`
`protected java.lang.String` `getItemSeparator()` Return the separator between points in the list.
`SVGPoint` `initialize(SVGPoint newItem)`
`SVGPoint` `insertItemBefore(SVGPoint newItem, int index)`
`SVGPoint` `removeItem(int index)`
`SVGPoint` `replaceItem(SVGPoint newItem, int index)`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGList
`appendItemImpl, clear, clear, createDOMException, getItemImpl, getNumberOfItems, getValueAsString, initializeImpl, insertItemBeforeImpl, invalidate, itemChanged, removeIfNeeded, removeItem, removeItemImpl, replaceItemImpl, resetAttribute, resetAttribute, revalidate, setAttributeValue, setValueAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.svg.SVGPointList
`clear, getNumberOfItems`

Field Detail

### SVG_POINT_LIST_SEPARATOR

    public static final java.lang.String SVG_POINT_LIST_SEPARATOR

  Separator for a point list.

  See Also:
    Constant Field Values

Constructor Detail

### AbstractSVGPointList

    protected AbstractSVGPointList()

  Creates a new SVGPointList.

Method Detail

### getItemSeparator

    protected java.lang.String getItemSeparator()

  Return the separator between points in the list.

  Specified by:
    `getItemSeparator` in class `AbstractSVGList`
  Returns:
    separator of items in the list

### createSVGException

    protected abstract SVGException createSVGException(short type,
                                                       java.lang.String key,
                                                       java.lang.Object[] args)

  Create an SVGException when the checkItemType fails.

  Returns:
    SVGException

### initialize

    public SVGPoint initialize(SVGPoint newItem)
                        throws org.w3c.dom.DOMException,
                               SVGException

  Specified by:
    `initialize` in interface `SVGPointList`
  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### getItem

    public SVGPoint getItem(int index)
                     throws org.w3c.dom.DOMException

  Specified by:
    `getItem` in interface `SVGPointList`
  Throws:
    `org.w3c.dom.DOMException`

### insertItemBefore

    public SVGPoint insertItemBefore(SVGPoint newItem,
                                     int index)
                              throws org.w3c.dom.DOMException,
                                     SVGException

  Specified by:
    `insertItemBefore` in interface `SVGPointList`
  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### replaceItem

    public SVGPoint replaceItem(SVGPoint newItem,
                                int index)
                         throws org.w3c.dom.DOMException,
                                SVGException

  Specified by:
    `replaceItem` in interface `SVGPointList`
  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### removeItem

    public SVGPoint removeItem(int index)
                        throws org.w3c.dom.DOMException

  Specified by:
    `removeItem` in interface `SVGPointList`
  Throws:
    `org.w3c.dom.DOMException`

### appendItem

    public SVGPoint appendItem(SVGPoint newItem)
                        throws org.w3c.dom.DOMException,
                               SVGException

  Specified by:
    `appendItem` in interface `SVGPointList`
  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### createSVGItem

    protected SVGItem createSVGItem(java.lang.Object newItem)

  Description copied from class: `AbstractSVGList`
  Return the item to be placed in the list. According to the parameter of the real SVGList represented here by an `Object` the implementation provide an item to be placed in the list.

  Specified by:
    `createSVGItem` in class `AbstractSVGList`
  Parameters:
    `newItem` - paramter of the modification method of the list
  Returns:
    an item to be placed in the list.

### doParse

    protected void doParse(java.lang.String value,
                           ListHandler handler)
                    throws ParseException

  Parse the 'points' attribute.

  Specified by:
    `doParse` in class `AbstractSVGList`
  Parameters:
    `value` - 'points' attribute value
    `handler` - : list handler
  Throws:
    `ParseException`

### checkItemType

    protected void checkItemType(java.lang.Object newItem)
                          throws SVGException

  Check if the item is an SVGPoint.

  Specified by:
    `checkItemType` in class `AbstractSVGList`
  Parameters:
    `newItem` - object to test
  Throws:
    `SVGException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.